package com.example.demo.coupon.controller;

import com.example.demo.coupon.dto.PageDto;
import com.example.demo.coupon.dto.UserCouponDto;
import com.example.demo.coupon.service.impl.CouponServiceImpl;
import com.example.demo.coupon.service.impl.UserCouponServiceImpl;
import com.example.demo.user.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/coupon")
public class UserCouponController {
    @Autowired
    private CouponServiceImpl couponService;
    @Autowired
    private UserCouponServiceImpl userCouponService;
    @RequestMapping("/getCouponList")
    public ResultVo getCouponList(@RequestBody PageDto dto, @RequestHeader("token") String token) {
        return couponService.getCouponList(dto,token);
    }

    @RequestMapping("/userGetCoupon")
    public ResultVo userGetCoupon(@RequestBody UserCouponDto dto, @RequestHeader("token")String token){
        return userCouponService.userGetCoupon(dto,token);
    }
}
