package com.example.demo.scenic_spot.service;

import com.example.demo.scenic_spot.domain.ScenicSpot;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.demo.scenic_spot.dto.ScenicSpotDto;
import com.example.demo.user.vo.ResultVo;
import org.apache.http.HttpResponse;

/**
* @author 徐乐
* @description 针对表【scenic_spot(景点信息表)】的数据库操作Service
* @createDate 2025-06-17 14:17:18
*/
public interface ScenicSpotService extends IService<ScenicSpot> {

    ResultVo syncDataToEs();

    ResultVo getScenicSpotList(String token, HttpResponse response, String keyword);
}
