package com.example.demo;
import com.alibaba.fastjson.JSONObject;
/**
 * @Author Jsxs
 * @Date 2023/4/5 15:49
 * @PackageName:com.jsxs.TentcentMap.ipPositioning
 * @ClassName: ipPositioning
 * @Description: TODO   IP定位
 * @Version 1.0
 */
public class ipPositioning {
    public static JSONObject getIpPositioning(String ip,String key){
        String keyURL="https://apis.map.qq.com/ws/location/v1/ip?ip="+ip+"&key="+key;
        String s = TencentMapUtils.getTencentMap(keyURL).toString();
        JSONObject jsonObject = JSONObject.parseObject(s);
        JSONObject result = (JSONObject)jsonObject.get("result");
        JSONObject ad_info = (JSONObject)result.get("ad_info");
        return ad_info;
    }
    public static void main(String[] args) {
        // 外网: 我们的服务器的IP就是外网。这里的IP是外网、不是局域网。
        System.out.println(getIpPositioning("43.143.204.137","HWTBZ-6YFLT-42BXH-VJFWR-YMUZS-T5FBJ"));
    }
}