package com.example.demo;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
/**
 * @Author Jsxs
 * @Date 2023/4/5 13:55
 * @PackageName:com.jsxs.TentcentMap.locationSearch
 * @ClassName: locationSearch
 * @Description: TODO  地点搜索
 * @Version 1.0
 */
public class locationSearch {
    public static JSONArray getLocationSearch(String latitude, String longitude, String radius, String keyword, String page_size, String page_index, String key) {
        // latitude->维度  经度->longitude
        String keyURL="https://apis.map.qq.com/ws/place/v1/search?boundary=nearby("+latitude+","+longitude+","+radius+")&keyword="+keyword+"&page_size="+page_size+"&page_index="+page_index+"&key="+key;
        // 1.JSON字符串
        String s = TencentMapUtils.getTencentMap(keyURL).toString();
        // 2.JSON字符串转换为JSON对象
        JSONObject jsonObject = JSONObject.parseObject(s);
        // 3.获取JSON数组
        JSONArray data = (JSONArray)jsonObject.get("data");
        return data;
    }
    public static void main(String[] args) {
    // 经度 维度 半径/米 关键字 显示条数 显示页数 密钥
        JSONArray array = getLocationSearch("40.040589", "116.273543", "1000", "公园", "10", "1", "HWTBZ-6YFLT-42BXH-VJFWR-YMUZS-T5FBJ");
        // 遍历Json数组
        for (int i = 0; i < array.size(); i++) {
            System.out.println(array.getJSONObject(i).get("address"));
        }
    }
}