package com.example.demo.order.service;

import com.example.demo.order.domain.OrderInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.demo.order.dto.OrderInfoDto;
import com.example.demo.order.dto.OrderInfoUpDto;
import com.example.demo.user.vo.ResultVo;

/**
* @author 徐乐
* @description 针对表【order_info(订单主表)】的数据库操作Service
* @createDate 2025-06-17 19:27:10
*/
public interface OrderInfoService extends IService<OrderInfo> {

    ResultVo orderAdd(OrderInfoDto dto, String token);

    ResultVo orderUp(OrderInfoUpDto dto, String token);

    ResultVo orderGetList(String token);

    ResultVo orderPay(Long orderId, Integer paymentMethod, String token);
}
