package com.example.demo.user.service;

import com.example.demo.user.domain.UserFavorite;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.demo.user.dto.CollectDto;
import com.example.demo.user.vo.ResultVo;

/**
* @author 徐乐
* @description 针对表【user_favorite(用户收藏记录表)】的数据库操作Service
* @createDate 2025-06-24 18:47:01
*/
public interface UserFavoriteService extends IService<UserFavorite> {

    ResultVo collect(CollectDto dto, String token);

    ResultVo delCollect(Integer targetId, String token);

    ResultVo selCollect(String token);
}
