package com.example.demo;

import com.alibaba.fastjson.JSONObject;

import java.util.HashMap;
import java.util.Map;
/**
 * @Author Jsxs
 * @Date 2023/4/4 20:28
 * @PackageName:com.jsxs
 * @ClassName: getLineByAdress
 * @Description: TODO  地址转经纬度
 * @Version 1.0
 */
public class addressResolution {
    public static Map<String, Object> getURLContent(String address) {
        //这里需要使用你的key值⭐
        String urlStr = "https://apis.map.qq.com/ws/geocoder/v1/?address=" + address + "&key=HWTBZ-6YFLT-42BXH-VJFWR-YMUZS-T5FBJ";
        // 1.这里是JSON字符串-通过哇能工具类获取
        String result = TencentMapUtils.getTencentMap(urlStr).toString();
        // 2.JSON字符串转JSON对象
        JSONObject jsonObject = JSONObject.parseObject(result);
        // 3. 强制转换 Object转换为 JSONObject-获取键值是: result的值
        JSONObject result1 = (JSONObject)jsonObject.get("result");
        // 4.在result的基础上继续获取键值是: location的值
        JSONObject location = (JSONObject)result1.get("location");
        // 5.在location的基础上获取: 经纬度的值
        String lng = location.get("lng")+"";
        String lat = location.get("lat")+"";
        Map<String, Object> map = new HashMap<>();
        map.put("lat", lat);
        map.put("lng", lng);
        return map;
    }
    public static void main(String[] args) {
        Map<String, Object> map = getURLContent("吉林省长春市净月国家高新技术产业开发区福祉大路1016号长春工业大学人文信息学院");
        System.out.println("lat=" + map.get("lat") + ",lng=" + map.get("lng"));
    }
}